<?php
/**
 * Created by PhpStorm.
 * User: tiger
 * Date: 2017/07/26
 * Time: 16:03
 */

class RoomTypeUIController extends  EntityDefaultUIController{
    /**
     * Overrides hook_menu() defaults.
     */
    public function hook_menu() {
        $items = parent::hook_menu();
        return $items;
    }
}

/**
 * Generates the room type editing form.
 */
function room_type_form($form, &$form_state, $room_type, $op = 'edit') {

    if ($op == 'clone') {
        $room_type->room_type_sys .= ' (cloned)';
        $room_type->room_type_label = '';
    }

    $form['room_type_label'] = array(
        '#title' => t('Room Type Name'),
        '#type' => 'textfield',
        '#default_value' => isset($room_type->room_type_label) ? $room_type->room_type_label : "",
        '#description' => t('Entry the Room type.'),
        '#required' => TRUE,
        '#size' => 30,
    );

    // Machine-readable type name.
    $form['room_type_sys'] = array(
        '#type' => 'machine_name',
        '#default_value' => isset($room_type->room_type_sys) ? $room_type->room_type_sys : '',
        '#maxlength' => 32,
        '#machine_name' => array(
            'exists' => 'room_types',
            'source' => array('room_type_label'),
        ),
        '#description' => t('A unique machine-readable name for this model type. It must only contain lowercase letters, numbers, and underscores.'),
    );

    $form['actions'] = array('#type' => 'actions');
    $form['actions']['submit'] = array(
        '#type' => 'submit',
        '#value' => t('Save Room Type'),
        '#weight' => 40,
    );

    return $form;
}

/**
 * Form API submit callback for the type form.
 */
function room_type_form_submit(&$form, &$form_state) {
    $room_type = entity_ui_form_submit_build_entity($form, $form_state);
    $room_type->save();
    $form_state['redirect'] = 'admin/structure/room-types';
}


